package com.njcn.device.pq.service;

import com.njcn.device.pq.pojo.param.AlarmStrategyParam;
import com.njcn.device.pq.pojo.vo.AlarmStrategyVO;

import java.util.List;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/06/23 11:37
 */
public interface AlarmStrategyService {

    /**
     * 获取告警策略列表
     */
    List<AlarmStrategyVO> getAlarmStrategyData();

    /**
     * 修改告警策略
     */
    boolean updateAlarmStrategyById(AlarmStrategyParam alarmStrategyParam);

    /**
     * 新增告警策略
     */
    boolean addAlarmStrategyById(AlarmStrategyParam alarmStrategyParam);
    /**
     * 删除告警策略
     */
    boolean removeAlarmStrategyData(String id);
}
